Autoware.Auto Support Guidelines{#support-guidelines}
================================

[TOC]

# Overview{#support-guidelines-overview}

We provide several mechanism for getting help and this article describes those mechanisms.
Whether you have run into a problem using Autoware or you just want more information about some aspect of it not covered in the documentation one of the below options should have you covered.
Using the correct resource will ensure you get a helpful response to your query quickly.
The following should be the general set of steps for obtaining support, depending on your specific need:

#. Read the docs
#. Depending on your question:
  #. Ask support questions and describe unconfirmed bugs on [ROS Answers with the `autoware` tag](https://answers.ros.org/questions/ask/?tags=autoware)
  #. Start general Autoware discussions on [the Autoware category at ROS Discourse](https://discourse.ros.org/c/autoware)
  #. For confirmed bugs or feature requests, create a [new issue on the Autoware.Auto Gitlab](https://gitlab.com/autowarefoundation/autoware.auto/AutowareAuto/-/issues/new?issue%5Bassignee_id%5D=&issue%5Bmilestone_id%5D=)
#. Message the `committers-autoware-auto` channel [on the Autoware Developer's Slack](https://autoware.herokuapp.com/)

# General Information: Documentation{#support-guidelines-general-info}

Whether you are looking to get help [installing Autoware.Auto](@ref installation), looking for [developer best-practices](@ref contributor-guidelines), or you just want to [run a demo](@ref demos), the auto-generated documentation should be your first resource.
If you find information missing in the docs, please [create a new issue](@ref support-guidelines-gitlab-issues) and, optionally, create a merge request to add the information to the docs yourself.

# Support Questions: ROS Answers{#support-guidelines-ros-answers}

If you have a problem with Autoware.Auto and it has not yet been confirmed by others, start your quest at [ROS Answers with the `autoware` tag](https://answers.ros.org/questions/scope:all/sort:activity-desc/tags:autoware/page:1/).
Questions asked with the `autoware` tag are regularly reviewed by Autoware developers and maintainers as well as other members of the Autoware community.

If your question is not answered within a timely manner (read: at least 1 week - this is an open-source project), then feel free to escalate to either [ROS Discourse](https://discourse.ros.org/c/autoware) or the `committers-autoware-auto` channel [on Slack](https://autoware.herokuapp.com/).

# General Discussion: ROS Discourse{#support-guidelines-general-discussion}

If you want to discuss a topic with the general Autoware community or ask a question not related to a problem with Autoware, head over to [the Autoware category on ROS Discourse](https://discourse.ros.org/c/autoware).
The Autoware category is also where high-level announcements are made about Autoware by the Foundation.

# Confirmed Bugs or Feature Requests: Gitlab Issues{#support-guidelines-gitlab-issues}

If you have discovered a bug that has been confirmed by others or you would like to request that a new feature be added to Autoware.Auto, consider [creating a new issue on Gitlab](https://gitlab.com/autowarefoundation/autoware.auto/AutowareAuto/-/issues/new?issue%5Bassignee_id%5D=&issue%5Bmilestone_id%5D=).
If you have the background, feel free to also create a Merge Request to resolve the issue!
Just remember to read over our @ref contributors-guide to know what to expect from a review of your Merge Request.

# Real-time Communication: Autoware Developer's Slack{#support-guidelines-slack}

Please remember that Slack is not for any of the cases mentioned above and is mostly a gathering place for developers.
If you are seeking support, want to start a discussion, or want to request a feature, Slack is the wrong avenue.
However, if your question on [ROS Answers](@ref support-guidelines-ros-answers) has gone unanswered for a reasonable amount of time, messaging the `committers-autoware-auto` channel is appropriate.

The Autoware Developer's Slack is a real-time communication mechanism for person-to-person or group chats.
If you want to take a quick straw-pull survey, chat with a group outside of the primary channels, or introduce yourself to the community, this is a good place to start.
